%define    version 3.0.8
%define    Release 2 
Summary:   A server-side, HTML-embedded scripting language
Name:      mod-php3
Version:   %{version}
Release:   %{Release} 
URL:       http://www.php.net
Source:    ftp://www.php.net/pub/distributions/php-%{version}.tar.gz
Source1:   http://www.php.net/distributions/manual.tar.gz
Source2:   http://www.php.net/distributions/manual-3.0.6.pdf
Source3:   http://www.php.net/distributions/manual.rtf
Source4:   http://www.php.net/distributions/bigmanual.html
Source5:   http://www.php.net/distributions/copyright.html
Source6:   http://www.php.net/logos/big-logo1t.gif
Source7:   FAQ.php3
Source8:   changes.php3
Source9:   php-add
Source10:  php-del
Source11:  php-add-doc
Source12:  php-del-doc
Source13:  logo1t.gif
Source14:  indexphp3.html
Patch:     php3.patch 
Icon:      php3.gif
Copyright: GPL
Group: Networking/Daemons
Requires: apache >= 1.3.6 
Obsoletes: php, mod_php
BuildRoot: /tmp/%{name}-%{version}-root
Packager: Pablo Costa <pablo@ib.usp.br>
%description
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.

 This package provides the loadable module for the apache webserver, some
 modules providing extra functions, and a php/fi 2.0 -> php3 script convertor
 (works most of the time).
 .
 With additional modules it supports direct communication with postgresql,
 mysql, msql databases, dbf files, and it has an interface to the libgd
 graphics library.



%package doc
Group: Networking/Daemons
Requires: webserver
Summary: Online manual for PHP3
%description doc
Comprehensive documentation for PHP3, viewable through your web server, too!



%package gd
Group: Networking/Daemons
Requires: mod-php3 >= 3.0.8 
Requires: freetype >= 1.2-6
Summary: GD (graphic creation) module for PHP3 (apache)
%description gd 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (apache version) to use the GD
 graphics library calls directly from PHP3 scripts.



%package imap
Group: Networking/Daemons
Requires: mod-php3 >= 3.0.8 
Summary: IMAP module for PHP3 (apache) 
%description imap
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (apache version) for using IMAP
 functions directly from PHP3 scripts.

%Package ldap
Group:   Networking/Daemons
Requires:  mod-php3 >= 3.0.8 
Summary: LDAP module for PHP3 (apache)
%description ldap 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (apache version) for LDAP support
 functions directly from PHP3 scripts.



%package mysql
Group:   Networking/Daemons
Requires:  mod-php3 >= 3.0.8 
Provides: php3-database
Summary: Mysql module for PHP3 (Apache)
%description mysql
 Mysql module for PHP3 (apache)
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (apache version) for mysql connectivity
 directly from PHP3 scripts.



%package pgsql
Group: Networking/Daemons
Requires: mod-php3 >= 3.0.8 
Provides: php3-database
Summary: PostgreSQL module for PHP3 (apache)
%description pgsql 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (apache version) for PostgreSQL
 connectivity directly from PHP3 scripts.



%package xml
Group: Networking/Daemons
Requires: mod-php3 >= 3.0.8 
Summary: XML module for PHP3 (apache)
%description xml 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (apache version) for XML parsing
 functions directly from PHP3 scripts.




%package cgi
Summary:   A server-side, HTML-embedded scripting language
Group: Networking/Daemons
%description cgi
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.

 This package provides a standalone cgi binary (usable as a standalone
 interpreter) and some modules providing extra functions
 
 With additional modules it supports direct communication with postgresql,
 mysql, msql databases, dbf files, and it has an interface to the libgd
 graphics library.



%package cgi-gd
Group: Networking/Daemons
Requires: mod-php3-cgi >= 3.0.8 
Requires: freetype >= 1.2-6
Summary: GD (graphic creation) module for PHP3 (cgi)
%description cgi-gd 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (cgi version) to use the GD graphics
 library calls directly from PHP3 scripts.



%package  cgi-imap
Group: Networking/Daemons
Requires: mod-php3-cgi >= 3.0.8 
Summary: IMAP module for PHP3 (cgi) 
%description  cgi-imap
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (cgi version) for using IMAP
 functions directly from PHP3 scripts.



%package  cgi-ldap
Group:   Networking/Daemons
Requires:  mod-php3-cgi >= 3.0.8 
Summary: LDAP module for PHP3 (cgi)
%description  cgi-ldap 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (cgi version) for LDAP support
 functions directly from PHP3 scripts.
 


%package  cgi-mysql
Group:   Networking/Daemons
Requires:  mod-php3-cgi >= 3.0.8 
Provides: php3-database
Summary: Mysql module for PHP3 (cgi)
%description  cgi-mysql
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (cgi version) for mysql connectivity
 directly from PHP3 scripts.



%package  cgi-pgsql
Group: Networking/Daemons
Requires: mod-php3-cgi >= 3.0.8 
Provides: php3-database
Summary: PostgreSQL module for PHP3 (cgi)
%description  cgi-pgsql 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (cgi version) for PostgreSQL
 connectivity directly from PHP3 scripts.



%package cgi-xml
Group: Networking/Daemons
Requires: mod-php3-cgi >= 3.0.8 
Summary: XML module for PHP3 (cgi)
%description cgi-xml 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.

 This package provides a PHP3 module (cgi version) for XML parsing
 functions directly from PHP3 scripts.



%prep
%setup -q -n php-%{version}
%patch -p1
install -m644 %{SOURCE2} doc
install -m644 %{SOURCE3} doc
install -m644 %{SOURCE4} doc
install -m644 %{SOURCE5} doc
chmod a-x doc/*.awk

%build

# Apache modules
./configure \
	--with-apxs \
	--prefix=/usr \
        --enable-safe-mode \
	--with-exec-dir=/usr/bin \
	--with-zlib \
	--with-dbase \
	--with-filepro \
	--with-config-file-path=/etc/php3/apache \
	--disable-debug \
	--enable-magic-quotes \
	--enable-debugger \
	--enable-bcmath \
	--enable-track-vars \
	--with-system-regex \
	--with-yp \
	--without-gd
	

make
make -C convertor

gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/apache -I/usr/include/mysql -o mysql.so ./functions/mysql.c -L/usr/lib/mysql -lmysqlclient -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/apache -I/usr/include/pgsql -o pgsql.so ./functions/pgsql.c -lpq -lc
(cd dl && ./setup ; make clean; make CFLAGS="-I/usr/include/apache -I." calendar.so crypt.so)

sed -e "s/HAVE_IMAP 0/HAVE_IMAP 1/g" \
-e "s/HAVE_LDAP 0/HAVE_LDAP 1/g" \
-e "s/HAVE_LIBEXPAT 0/HAVE_LIBEXPAT 1/g" \
-e "s/HAVE_LIBGD13 0/HAVE_LIBGD13 1/g" \
-e "s/HAVE_LIBGD 0/HAVE_LIBGD 1/g" \
-e "s/\/\* #undef HAVE_LIBGD \*\//#define HAVE_LIBGD 1/g" \
-e "s/\/\* #undef HAVE_LIBTTF \*\//#define HAVE_LIBTTF 1/g" < config.h > config.h- && mv -f config.h- config.h

gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/apache -o gd.so ./functions/gd.c ./functions/gdcache.c ./functions/gdttf.c -lgd -lttf -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/apache -I/usr/include/imap -o imap.so ./functions/imap.c /usr/local/lib/c-client.a -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/apache -o ldap.so ./functions/ldap.c -lldap -llber -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/apache -o xml.so ./functions/xml.c -lxmlparse -lxmltok -lc

mkdir apache && mv *.so dl/*.so apache   

make clean


# CGI
./configure \
	--enable-force-cgi-redirect \
        --prefix=/usr \
        --enable-safe-mode \
        --with-exec-dir=/usr/bin \
        --with-zlib \
        --with-dbase \
        --with-filepro \
        --with-config-file-path=/etc/php3/cgi \
        --disable-debug \
        --enable-magic-quotes \
        --enable-debugger \
        --enable-bcmath \
        --enable-track-vars \
        --with-system-regex \
	--with-yp \
        --without-gd
	
make LDFLAGS="-rdynamic"

gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/mysql -o mysql.so ./functions/mysql.c  -L/usr/lib/mysql -lmysqlclient -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/pgsql -o pgsql.so ./functions/pgsql.c -lpq -lc
(cd ./dl && ./setup ; make clean; make CFLAGS="-I." calendar.so crypt.so)


sed -e "s/HAVE_IMAP 0/HAVE_IMAP 1/g" \
-e "s/HAVE_LDAP 0/HAVE_LDAP 1/g" \
-e "s/HAVE_LIBEXPAT 0/HAVE_LIBEXPAT 1/g" \
-e "s/HAVE_LIBGD13 0/HAVE_LIBGD13 1/g" \
-e "s/HAVE_LIBGD 0/HAVE_LIBGD 1/g" \
-e "s/\/\* #undef HAVE_LIBGD \*\//#define HAVE_LIBGD 1/g" \
-e "s/\/\* #undef HAVE_LIBTTF \*\//#define HAVE_LIBTTF 1/g" < config.h > config.h- && mv -f config.h- config.h


gcc -shared -fPIC -DCOMPILE_DL=1  -I. -o gd.so ./functions/gd.c ./functions/gdcache.c ./functions/gdttf.c -lgd -lttf -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/imap -o imap.so ./functions/imap.c /usr/local/lib/c-client.a -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -o ldap.so ./functions/ldap.c -lldap -llber -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -o xml.so ./functions/xml.c -lxmlparse -lxmltok -lc

mkdir cgi && mv *.so dl/*.so php cgi   


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/php3/apache
install -d $RPM_BUILD_ROOT/etc/php3/cgi
install -d $RPM_BUILD_ROOT/home/httpd/icons
install -d $RPM_BUILD_ROOT/home/httpd/cgi-bin
install -d $RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_php3
install -d $RPM_BUILD_ROOT/usr/lib/apache
install -d $RPM_BUILD_ROOT/usr/lib/php3
install -d $RPM_BUILD_ROOT/usr/lib/php3/apache
install -d $RPM_BUILD_ROOT/usr/lib/php3/cgi
install -d $RPM_BUILD_ROOT/usr/bin

cd apache
install -m755 libphp3.so $RPM_BUILD_ROOT/usr/lib/apache/mod_php3.so
install -m755 crypt.so $RPM_BUILD_ROOT/usr/lib/php3/apache
install -m755 calendar.so $RPM_BUILD_ROOT/usr/lib/php3/apache
install -m755 gd.so $RPM_BUILD_ROOT/usr/lib/php3/apache
install -m755 imap.so $RPM_BUILD_ROOT/usr/lib/php3/apache
install -m755 ldap.so $RPM_BUILD_ROOT/usr/lib/php3/apache
install -m755 mysql.so $RPM_BUILD_ROOT/usr/lib/php3/apache
install -m755 pgsql.so $RPM_BUILD_ROOT/usr/lib/php3/apache
install -m755 xml.so $RPM_BUILD_ROOT/usr/lib/php3/apache

cd ../cgi
install -m755 php $RPM_BUILD_ROOT/home/httpd/cgi-bin
install -m755 crypt.so $RPM_BUILD_ROOT/usr/lib/php3/cgi
install -m755 calendar.so $RPM_BUILD_ROOT/usr/lib/php3/cgi
install -m755 gd.so $RPM_BUILD_ROOT/usr/lib/php3/cgi
install -m755 imap.so $RPM_BUILD_ROOT/usr/lib/php3/cgi
install -m755 ldap.so $RPM_BUILD_ROOT/usr/lib/php3/cgi
install -m755 mysql.so $RPM_BUILD_ROOT/usr/lib/php3/cgi
install -m755 pgsql.so $RPM_BUILD_ROOT/usr/lib/php3/cgi
install -m755 xml.so $RPM_BUILD_ROOT/usr/lib/php3/cgi

cd ../
install -m755 convertor/convertor $RPM_BUILD_ROOT/usr/bin
install -m644 php3.ini-apache $RPM_BUILD_ROOT/etc/php3/apache/php3.ini
install -m644 php3.ini-cgi $RPM_BUILD_ROOT/etc/php3/cgi/php3.ini
install -m644 extra/icons/*.gif $RPM_BUILD_ROOT/home/httpd/icons
install -m644 %{SOURCE13} $RPM_BUILD_ROOT/home/httpd/icons
install -m644 %{SOURCE6} $RPM_BUILD_ROOT/home/httpd/icons
install -m755 %{SOURCE9} $RPM_BUILD_ROOT/usr/bin
install -m755 %{SOURCE10} $RPM_BUILD_ROOT/usr/bin
install -m755 %{SOURCE11} $RPM_BUILD_ROOT/usr/bin
install -m755 %{SOURCE12} $RPM_BUILD_ROOT/usr/bin
mv -f convertor/README convertor/README.convertor
cp -f %{SOURCE7} .
cp -f %{SOURCE8} .
mkdir -p $RPM_BUILD_ROOT/home/httpd/php/bin
ln -sf /bin/uname $RPM_BUILD_ROOT/home/httpd/php/bin/uname
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_php3
cd $RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_php3
tar xzpf %{SOURCE1}
ln -sf manual.html index.html

# install modified index.html
install -m644 %{SOURCE14} $RPM_BUILD_ROOT/home/httpd/html

strip $RPM_BUILD_ROOT/usr/{bin/convertor,lib/apache/*.so,lib/php3/*.so,lib/php3/cgi/*.so} $RPM_BUILD_ROOT/home/httpd/cgi-bin/php ||



%post 

#!/bin/sh

set -e


if [ -f /etc/httpd/conf/httpd.conf ]; then 
    if ! grep -q "^LoadModule.*php3.so" /etc/httpd/conf/httpd.conf; then
	echo "I see you have apache webserver installed and so far you haven't";
	echo "used the apache module version of php3 in your apache. If you";
	echo "want to use it, you should reconfigure the apache webserver and";
	echo "select to load the php module.";
	echo "You can insert the following line into"; 
	echo "/etc/httpd.conf/httpd.conf manually:";
	echo 
	echo "LoadModule php3_module modules/mod_php3.so";
	echo 
	echo "AddModule mod_php3.c";
	echo
	#echo -n "Do you want me to add these lines for you [y/N] ?"
	a=y # read a;
	if echo $a | grep -qi ^y; then

sed -e 's+\#LoadModule.*mod_php3.so+LoadModule php3_module        modules/mod_php3.so+' -e s/^php3/\#php3/ -e 's+\#AddModule.*mod_php3.c+AddModule mod_php3.c+' </etc/httpd/conf/httpd.conf >/etc/httpd/conf/httpd.conf.php3remove
mv /etc/httpd/conf/httpd.conf.php3remove /etc/httpd/conf/httpd.conf

/etc/rc.d/init.d/httpd restart

	else
		echo "Ok, dont forget to add the above mentioned"
              	echo "lines to /etc/apache/httpd.conf"
	        #echo -n "Press RETURN to continue"
                a=y # read a;

	fi
   fi
fi

exit 0



%preun -p /bin/bash 

#!/bin/bash

set -e

if [ -f /etc/httpd/conf/httpd.conf ]; then
	if grep -q "^LoadModule.*mod_php3.so" /etc/httpd/conf/httpd.conf; then
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "If you remove this package now, apache will not start";
		echo "You should remove the following lines from httpd.conf:"
		echo
		grep "^LoadModule.*mod_php3.so" /etc/httpd/conf/httpd.conf || true
		grep "^php3" /etc/httpd/conf/httpd.conf || true
		echo
		#echo -n "Do you want me to remove these lines for you [y/N] ?"
		a=y # read a;
		if echo $a | grep -iq ^y; then
			sed -e 's+^LoadModule.*mod_php3.so+\#LoadModule php3_module        modules/mod_php3.so+' -e s/^php3/\#php3/ -e 's+^AddModule.*mod_php3.c+\#AddModule mod_php3.c+' </etc/httpd/conf/httpd.conf >/etc/httpd/conf/httpd.conf.php3remove
			mv /etc/httpd/conf/httpd.conf.php3remove /etc/httpd/conf/httpd.conf
		else 
			#echo -n "Do you want to remove this package anyway [y/N] ?"
			a=y # read a;
			if echo $a | grep -iq ^y; then
				echo
				echo "Ok, removing package, dont forget to remove the above mentioned"
				echo "lines from /etc/apache/httpd.conf"
				read a
			else
				exit 1
			fi
		fi
	fi
fi						

exit 0



%post doc
/usr/bin/php-add-doc

%preun doc
if [ $1 = 0 ]; then
/usr/bin/php-del-doc
fi

%post -p /bin/bash -p /bin/bash gd 

#!/bin/bash

set -e

if [ -f /etc/php3/apache/php3.ini ]; then
	if grep -q ";extension.*gd.so" /etc/php3/apache/php3.ini ; then
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "You should add the following lines to:"
		echo "/etc/php3/apache/php3.ini"
		echo
		echo "extension=gd.so" 
		echo
		#echo -n "Do you want me to add these lines for you [y/N] ?"
		a=y # read a;
		if echo $a | grep -iq ^y; then
			sed -e 's+^;extension.*gd.so+extension=gd.so+' < /etc/php3/apache/php3.ini > /etc/php3/apache/php3.ini.gdremove
mv /etc/php3/apache/php3.ini.gdremove /etc/php3/apache/php3.ini 
/etc/rc.d/init.d/httpd restart
		else 
			echo "Ok, dont forget to add the above mentioned"
			echo "to /etc/php3/php3.ini"
		fi
	fi
fi						

exit 0



%preun -p /bin/bash gd 

#!/bin/bash

set -e

if [ -f /etc/php3/apache/php3.ini ]; then
	if grep -q "^extension.*gd.so" /etc/php3/apache/php3.ini ; then
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "If you remove this package now, apache will not start";
		echo "You should remove the following lines from:"
		echo "/etc/php3/apache/php3.ini"
		echo
		grep "^extension.*gd.so" /etc/php3/apache/php3.ini || true
		echo
		#echo -n "Do you want me to remove these lines for you [y/N] ?"
		a=y # read a;
		if echo $a | grep -iq ^y; then
			sed -e 's+^extension.*gd.so+;extension=gd.so+' < /etc/php3/apache/php3.ini > /etc/php3/apache/php3.ini.remove
mv /etc/php3/apache/php3.ini.remove /etc/php3/apache/php3.ini 
		else 
			#echo -n "Do you want to remove this package anyway [y/N] ?"
			a=y # read a;
			if echo $a | grep -iq ^y; then
				echo
				echo "Ok, removing package, dont forget to remove the above mentioned"
				echo "lines from /etc/php3/apache/php3.ini"
				read a
			else
				exit 1
			fi
		fi
	fi
fi						

exit 0



%post -p /bin/bash imap 

#!/bin/bash

set -e

if [ -f /etc/php3/apache/php3.ini ]; then
	if grep -q ";extension.*imap.so" /etc/php3/apache/php3.ini ; then
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "You should add the following lines to:"
		echo "/etc/php3/apache/php3.ini"
		echo
		echo "extension=imap.so" 
		echo
		#echo -n "Do you want me to add these lines for you [y/N] ?"
		a=y # read a;
		if echo $a | grep -iq ^y; then
			sed -e 's+^;extension.*imap.so+extension=imap.so+' < /etc/php3/apache/php3.ini > /etc/php3/apache/php3.ini.add
mv /etc/php3/apache/php3.ini.add /etc/php3/apache/php3.ini 
/etc/rc.d/init.d/httpd restart
		else 
			echo "Ok, dont forget to add the above mentioned"
			echo "to /etc/php3/php3.ini"
			echo "and restart apache" 
		fi
	fi
fi						

exit 0



%preun -p /bin/bash imap 

#!/bin/bash

set -e

if [ -f /etc/php3/apache/php3.ini ]; then
	if grep -q "^extension.*imap.so" /etc/php3/apache/php3.ini ; then
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "If you remove this package now, apache will not start";
		echo "You should remove the following lines from:"
		echo "/etc/php3/apache/php3.ini"
		echo
		grep "^extension.*imap.so" /etc/php3/apache/php3.ini || true
		echo
		#echo -n "Do you want me to remove these lines for you [y/N] ?"
		a=y # read a;
		if echo $a | grep -iq ^y; then
			sed -e 's+^extension.*imap.so+;extension=imap.so+' < /etc/php3/apache/php3.ini > /etc/php3/apache/php3.ini.remove
mv /etc/php3/apache/php3.ini.remove /etc/php3/apache/php3.ini 
		else 
			#echo -n "Do you want to remove this package anyway [y/N] ?"
			a=y # read a;
			if echo $a | grep -iq ^y; then
				echo
				echo "Ok, removing package, dont forget to remove the above mentioned"
				echo "lines from /etc/php3/apache/php3.ini"
				read a
			else
				exit 1
			fi
		fi
	fi
fi						

exit 0



%post -p /bin/bash ldap 

#!/bin/bash

set -e

if [ -f /etc/php3/apache/php3.ini ]; then
	if grep -q ";extension.*ldap.so" /etc/php3/apache/php3.ini ; then
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "You should add the following lines to:"
		echo "/etc/php3/apache/php3.ini"
		echo
		echo "extension=ldap.so" 
		echo
		#echo -n "Do you want me to add these lines for you [y/N] ?"
		a=y # read a;
		if echo $a | grep -iq ^y; then
			sed -e 's+^;extension.*ldap.so+extension=ldap.so+' < /etc/php3/apache/php3.ini > /etc/php3/apache/php3.ini.add
mv /etc/php3/apache/php3.ini.add /etc/php3/apache/php3.ini 
/etc/rc.d/init.d/httpd restart
		else 
			echo "Ok, dont forget to add the above mentioned"
			echo "to /etc/php3/php3.ini"
			echo "and restart apache" 
		fi
	fi
fi						

exit 0



%preun -p /bin/bash ldap 

#!/bin/bash

set -e

if [ -f /etc/php3/apache/php3.ini ]; then
	if grep -q "^extension.*ldap.so" /etc/php3/apache/php3.ini ; then
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "If you remove this package now, apache will not start";
		echo "You should remove the following lines from:"
		echo "/etc/php3/apache/php3.ini"
		echo
		grep "^extension.*ldap.so" /etc/php3/apache/php3.ini || true
		echo
		#echo -n "Do you want me to remove these lines for you [y/N] ?"
		a=y # read a;
		if echo $a | grep -iq ^y; then
			sed -e 's+^extension.*ldap.so+;extension=ldap.so+' < /etc/php3/apache/php3.ini > /etc/php3/apache/php3.ini.remove
mv /etc/php3/apache/php3.ini.remove /etc/php3/apache/php3.ini 
		else 
			#echo -n "Do you want to remove this package anyway [y/N] ?"
			a=y # read a;
			if echo $a | grep -iq ^y; then
				echo
				echo "Ok, removing package, dont forget to remove the above mentioned"
				echo "lines from /etc/php3/apache/php3.ini"
				read a
			else
				exit 1
			fi
		fi
	fi
fi						

exit 0



%post -p /bin/bash mysql 

#!/bin/bash

set -e

if [ -f /etc/php3/apache/php3.ini ]; then
	if grep -q ";extension.*mysql.so" /etc/php3/apache/php3.ini ; then
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "You should add the following lines to:"
		echo "/etc/php3/apache/php3.ini"
		echo
		echo "extension=mysql.so" 
		echo
		#echo -n "Do you want me to add these lines for you [y/N] ?"
		a=y # read a;
		if echo $a | grep -iq ^y; then
			sed -e 's+^;extension.*mysql.so+extension=mysql.so+' < /etc/php3/apache/php3.ini > /etc/php3/apache/php3.ini.add
mv /etc/php3/apache/php3.ini.add /etc/php3/apache/php3.ini 
/etc/rc.d/init.d/httpd restart
		else 
			echo "Ok, dont forget to add the above mentioned"
			echo "to /etc/php3/php3.ini"
			echo "and restart apache" 
		fi
	fi
fi						

exit 0



%preun -p /bin/bash mysql 

#!/bin/bash

set -e

if [ -f /etc/php3/apache/php3.ini ]; then
	if grep -q "^extension.*mysql.so" /etc/php3/apache/php3.ini ; then
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "If you remove this package now, apache will not start";
		echo "You should remove the following lines from:"
		echo "/etc/php3/apache/php3.ini"
		echo
		grep "^extension.*mysql.so" /etc/php3/apache/php3.ini || true
		echo
		#echo -n "Do you want me to remove these lines for you [y/N] ?"
		a=y # read a;
		if echo $a | grep -iq ^y; then
			sed -e 's+^extension.*mysql.so+;extension=mysql.so+' < /etc/php3/apache/php3.ini > /etc/php3/apache/php3.ini.remove
mv /etc/php3/apache/php3.ini.remove /etc/php3/apache/php3.ini 
		else 
			#echo -n "Do you want to remove this package anyway [y/N] ?"
			a=y # read a;
			if echo $a | grep -iq ^y; then
				echo
				echo "Ok, removing package, dont forget to remove the above mentioned"
				echo "lines from /etc/php3/apache/php3.ini"
				read a
			else
				exit 1
			fi
		fi
	fi
fi						

exit 0



%post -p /bin/bash pgsql 

#!/bin/bash

set -e

if [ -f /etc/php3/apache/php3.ini ]; then
	if grep -q ";extension.*pgsql.so" /etc/php3/apache/php3.ini ; then
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "You should add the following lines to:"
		echo "/etc/php3/apache/php3.ini"
		echo
		echo "extension=pgsql.so" 
		echo
		#echo -n "Do you want me to add these lines for you [y/N] ?"
		a=y # read a;
		if echo $a | grep -iq ^y; then
			sed -e 's+^;extension.*pgsql.so+extension=pgsql.so+' < /etc/php3/apache/php3.ini > /etc/php3/apache/php3.ini.add
mv /etc/php3/apache/php3.ini.add /etc/php3/apache/php3.ini 
/etc/rc.d/init.d/httpd restart
		else 
			echo "Ok, dont forget to add the above mentioned"
			echo "to /etc/php3/php3.ini"
			echo "and restart apache" 
		fi
	fi
fi						

exit 0



%preun -p /bin/bash pgsql 

#!/bin/bash

set -e

if [ -f /etc/php3/apache/php3.ini ]; then
	if grep -q "^extension.*pgsql.so" /etc/php3/apache/php3.ini ; then
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "If you remove this package now, apache will not start";
		echo "You should remove the following lines from:"
		echo "/etc/php3/apache/php3.ini"
		echo
		grep "^extension.*pgsql.so" /etc/php3/apache/php3.ini || true
		echo
		#echo -n "Do you want me to remove these lines for you [y/N] ?"
		a=y # read a;
		if echo $a | grep -iq ^y; then
			sed -e 's+^extension.*pgsql.so+;extension=mysql.so+' < /etc/php3/apache/php3.ini > /etc/php3/apache/php3.ini.remove
mv /etc/php3/apache/php3.ini.remove /etc/php3/apache/php3.ini 
		else 
			#echo -n "Do you want to remove this package anyway [y/N] ?"
			a=y # read a;
			if echo $a | grep -iq ^y; then
				echo
				echo "Ok, removing package, dont forget to remove the above mentioned"
				echo "lines from /etc/php3/apache/php3.ini"
				read a
			else
				exit 1
			fi
		fi
	fi
fi						

exit 0



%post -p /bin/bash xml 

#!/bin/bash

set -e

if [ -f /etc/php3/apache/php3.ini ]; then
	if grep -q ";extension.*xml.so" /etc/php3/apache/php3.ini ; then
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "You should add the following lines to:"
		echo "/etc/php3/apache/php3.ini"
		echo
		echo "extension=xml.so" 
		echo
		#echo -n "Do you want me to add these lines for you [y/N] ?"
		a=y # read a;
		if echo $a | grep -iq ^y; then
			sed -e 's+^;extension.*xml.so+extension=xml.so+' < /etc/php3/apache/php3.ini > /etc/php3/apache/php3.ini.add
mv /etc/php3/apache/php3.ini.add /etc/php3/apache/php3.ini 
/etc/rc.d/init.d/httpd restart
		else 
			echo "Ok, dont forget to add the above mentioned"
			echo "to /etc/php3/php3.ini"
			echo "and restart apache" 
		fi
	fi
fi						

exit 0



%preun -p /bin/bash xml 

#!/bin/bash

set -e

if [ -f /etc/php3/apache/php3.ini ]; then
	if grep -q "^extension.*xml.so" /etc/php3/apache/php3.ini ; then
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "If you remove this package now, apache will not start";
		echo "You should remove the following lines from:"
		echo "/etc/php3/apache/php3.ini"
		echo
		grep "^extension.*xml.so" /etc/php3/apache/php3.ini || true
		echo
		#echo -n "Do you want me to remove these lines for you [y/N] ?"
		a=y # read a;
		if echo $a | grep -iq ^y; then
			sed -e 's+^extension.*xml.so+;extension=xml.so+' < /etc/php3/apache/php3.ini > /etc/php3/apache/php3.ini.remove
mv /etc/php3/apache/php3.ini.remove /etc/php3/apache/php3.ini 
		else 
			#echo -n "Do you want to remove this package anyway [y/N] ?"
			a=y # read a;
			if echo $a | grep -iq ^y; then
				echo
				echo "Ok, removing package, dont forget to remove the above mentioned"
				echo "lines from /etc/php3/apache/php3.ini"
				read a
			else
				exit 1
			fi
		fi
	fi
fi						

exit 0



%post -p /bin/bash cgi
%preun -p /bin/bash cgi

%post -p /bin/bash cgi-gd 
%preun -p /bin/bash cgi-gd 

%post -p /bin/bash cgi-ldap 
%preun -p /bin/bash cgi-ldap 

%post -p /bin/bash cgi-mysql 
%preun -p /bin/bash cgi-mysql 

%post -p /bin/bash cgi-pgsql 
%preun -p /bin/bash cgi-pgsql 

%post -p /bin/bash cgi-xml 
%preun -p /bin/bash cgi-xml 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYING CREDITS ChangeLog EXTENSION_STATUS FUNCTION_LIST.txt INSTALL* LICENSE TODO WISHLIST*
%doc convertor/README.convertor examples FAQ.php3 changes.php3
%config /etc/php3/apache/php3.ini
%dir /home/httpd/php
/home/httpd/html/indexphp3.html
/home/httpd/php/bin
/home/httpd/icons/*
/usr/bin/convertor
/usr/lib/apache/*.so
/usr/bin/php-add
/usr/bin/php-del
/usr/lib/php3/apache/calendar.so
/usr/lib/php3/apache/crypt.so


%files doc
%defattr(-,root,root)
%doc doc/*
%dir /home/httpd/php
/home/httpd/html/manual/mod/mod_php3
/usr/bin/php-add-doc
/usr/bin/php-del-doc

%files gd
/usr/lib/php3/apache/gd.so

%files imap
/usr/lib/php3/apache/imap.so

%files ldap
/usr/lib/php3/apache/ldap.so

%files mysql
/usr/lib/php3/apache/mysql.so

%files pgsql
/usr/lib/php3/apache/pgsql.so

%files xml 
/usr/lib/php3/apache/xml.so

%files cgi
%defattr(-,root,root)
/home/httpd/cgi-bin/php
/usr/lib/php3/cgi/calendar.so
/usr/lib/php3/cgi/crypt.so
%config /etc/php3/cgi/php3.ini

%files cgi-gd
/usr/lib/php3/cgi/gd.so

%files  cgi-imap
/usr/lib/php3/cgi/imap.so

%files  cgi-ldap
/usr/lib/php3/cgi/ldap.so

%files  cgi-mysql
/usr/lib/php3/cgi/mysql.so

%files  cgi-pgsql
/usr/lib/php3/cgi/pgsql.so

%files  cgi-xml
/usr/lib/php3/cgi/xml.so


%changelog doc
* Tue May 25 1999 Pablo Costa <pablo@ib.usp.br>
 -  Rename add-php-doc, del-php-doc to php-add and php-del

* Tue Mar  2 1999 Henri Gomez <gomez@slib.fr>
 - Upgraded to 3.0.7.
 - Suppressed patches no more needed.
 - Added INSTALL.DSO and INSTALL.REDHAT files in doc

* Tue Feb  2 1999 Henri Gomez <gomez@slib.fr>
 - moved html php3 docs to /home/httpd/html/manual/mod/mod_php3 to follow RH & mod_ssl way

%changelog

* Wed Jun  2 1999 Pablo Costa <pablo@ib.usp.br>
- Add %post and %preun scripts

* Tue May 25 1999 Pablo Costa <pablo@ib.usp.br>
- Upgrade to 3.0.8
- Compile with apache 1.3.6 and glibc 2.1
- Compile without ssl 
- Add nis(YP) support
- Add package cgi. Now php can work without apache
- Add packages with apache modules:  gd, imap, ldap, mysql, pgsql and xml
- Add packages with cgi modules:  gd, imap, ldap, mysql, pgsql and xml
- Rename add-php, del-php to php-add and php-del
- Change config path to /etc/php3/apache (apache version)
- Change config path to /etc/php3/cgi (cgi version)
- Suppressed post and preun scripts (Wait for next release :-)

* Mon Feb  2 1999 Henri Gomez <gomez@slib.fr>
- Adapted apache-php SRPMS from Khimenko Victor SRPMS to standard RH5.2
- moved /usr/libexec/apache to /usr/lib/apache to follow latest apache rpm
- added requires SSLeay
- added -L/usr/lib/mysql to apxs
- mod_ssl 2.2.0 upgraded
- now exec bin in /usr/bin instead of /home/httpd/bin
- modified index.html to reflect PHP3 installation.

* Fri Jan 22 1999 Khimenko Victor <khim@sch57.msk.ru>
- mod_ssl 2.1.8 is out => EAPI changes
* Wed Jan 13 1999 Khimenko Victor <khim@sch57.msk.ru>
- Apache 1.3.4 => recompilation of all DSO modules
* Sun Jan 10 1999 Khimenko Victor <khim@sch57.msk.ru>
- error in add-php-doc script fixed
* Wed Dec 30 1998 Khimenko Victor <khim@sch57.msk.ru>
- now this rpm could be even really used (i.e. mod_php.so could be loaded :-)
* Fri Dec 25 1998 Khimenko Victor <khim@sch57.msk.ru>
- update to 3.0.6
* Wed Dec 23 1998 Khimenko Victor <khim@sch57.msk.ru>
- EAPI hack
* Mon Nov 23 1998 Khimenko Victor <khim@sch57.msk.ru>
- added imap support
* Sun Oct 11 1998 Khimenko Victor <khim@sch57.msk.ru>
- recompiled with apache 1.3.3
* Wed Oct  7 1998 Khimenko Victor <khim@sch57.msk.ru>
- update to 3.0.5
* Sun Sep 27 1998 Khimenko Victor <khim@sch57.msk.ru>
- changes for compatibility with threads library
* Thu Sep 24 1998 Khimenko Victor <khim@sch57.msk.ru>
- update to 3.0.4, changes for KSI-Linux
* Mon Aug 17 1998 Arne Coucheron <arneco@online.no>
  [3.0.3-1]
- module moved to /usr/libexec/apache to comply with latest apache rpm

* Fri Aug 07 1998 Andrea Borgia <borgia@cs.unibo.it>
  [3.0.2a]
- removed unnecessary "requires freetype" and "requires gd"
	(they're autodetected by rpm and do not force the builder
	to have them installed at compile-time)
- fixed sed substitutions (extra or missing escapes)
- added to %doc: COPYING, EXTENSION_STATUS, INSTALL, LICENSE, TODO, WISHLIST*
- added online manual as a subpackage and made it viewable through web server
	(think of a cluster of machines to see the reason why)

* Mon Jul 06 1998 Arne Coucheron <arneco@online.no>
  [3.0.1-1]

* Sun Jun 21 1998 Arne Coucheron <arneco@online.no>
  [3.0-1]
- added --with-zlib and --enable-debugger to configure
- changed name of package to mod_php

* Fri Jun 05 1998 Arne Coucheron <arneco@online.no>
  [3.0RC5-2]
- recompiled against Apache 1.3.0
- corrected source and url tags

* Tue Jun 02 1998 Arne Coucheron <arneco@online.no>
  [3.0RC5]
- this is now a standalone package thanks to the DSO capabilities of
  Apache 1.3 which make it possible to build modules outside the Apache
  source tree
